#! /bin/sh -e
#  /usr/lib/emacsen-common/packages/install/xdvik
# [ This particular script hasn't been tested, so be careful. ]

set -e

FLAVOR=$1
PACKAGE="xdvik"

if [ "X${FLAVOR}" = "X" ]; then
    echo Need argument to determin FLAVOR of emacs;
    exit 1
fi

if [ "X${PACKAGE}" = "X" ]; then
    echo Internal error: need package name;
    exit 1;
fi

ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}

STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el";

SITELISP=/usr/share/${FLAVOR}/site-lisp

case "${FLAVOR}" in
    *)
    echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."

    rm -rf ${ELCDIR}
    install -m 755 -d ${ELCDIR}

    # Byte compile them
    ${FLAVOR} -batch -f batch-byte-compile ${ELDIR}/xdvi-search.el \
        >> ${ELCDIR}/CompilationLog 2>&1
    cp ${ELDIR}/xdvi-search.elc ${ELCDIR}

    gzip -9 ${ELCDIR}/CompilationLog

    rm -f ${ELDIR}/*.elc
    rm -f ${ELCDIR}/*.el

    ln -f -s ${ELDIR}/${STARTFILE} ${STARTDIR}/60${STARTFILE};

    echo " done."
    ;;

esac

exit 0;
